save
set has_violations {E:\Ranjith\Linker_Design\designer\Linker_Design\Linker_Design_pre_layout_has_violations}
set fp [open $has_violations w]
puts $fp [has_violations -short]
close $fp
report -type combinational_loops -format xml {E:\Ranjith\Linker_Design\designer\Linker_Design\Linker_Design_combinational_loops.xml}
if { [catch "file delete -force -- {E:\Ranjith\Linker_Design\designer\Linker_Design\pinslacks.txt}"] } {
   ;
}
report -type slack {E:\Ranjith\Linker_Design\designer\Linker_Design\pinslacks.txt}
